iPad forms and recommended prices

Prices based from Kingsley Park Apple Store coming soon

Please note : In support of current learning programs, iPads must be able to operate on the latest version IOS 12.1